# $Revision: 1.30 $, $Date: 2007/01/07 22:52:51 $
Summary:	XML parser for Java
Summary(pl):	Analizator skadniowy XML-a napisany w Javie
Name:		xerces-j
Version:	2.9.0
Release:	1
# appears that portions of the code are on other licenses.
# can it all be called "apache 2.0"?
License:	Apache v2.0
Group:		Applications/Publishing/XML/Java
Source0:	http://www.apache.org/dist/xml/xerces-j/Xerces-J-src.%{version}.tar.gz
# Source0-md5:	bd43e57ec7105acc9f13072e0208d445
# Get Xerces-J-tools to avoid BuildRequires: xerces-j
Source1:	http://www.apache.org/dist/xml/xerces-j/Xerces-J-tools.%{version}.tar.gz
# Source1-md5:	79d48733b0ab41af190f1af7ca89ab3f
URL:		http://xml.apache.org/xerces-j/
BuildRequires:	ant >= 1.5
BuildRequires:	jdk >= 1.1
BuildRequires:	jpackage-utils
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	xml-commons
Requires:	jre >= 1.1
Requires:	xml-commons
Provides:	jaxp_parser_impl
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML parser for Java.

%description -l pl
Analizator skadniowy XML-a napisany w Javie.

%package doc
Summary:	Documentation for Xerces-J - XML parser for Java
Summary(pl):	Dokumentacja do Xercesa-J - analizatora skadniowego XML-a w Javie
Group:		Documentation

%description doc
Documentation for Xerces-J - XML parser for Java.

%description doc -l pl
Dokumentacja do Xercesa-J - analizatora skadniowego XML-a w Javie.

%prep
%setup -q -n xerces-%(echo %{version} | tr . _) -a1

%build
CLASSPATH="./tools/xercesImpl.jar:./tools/bin/xjavac.jar"
required_jars='xml-commons-apis'
export CLASSPATH="$CLASSPATH:`/usr/bin/build-classpath $required_jars`"
export JAVA_HOME=%{java_home}
export JAVAC=%{javac}
export JAVA=%{java}

%ant clean jars javadocs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

install build/xercesImpl.jar $RPM_BUILD_ROOT%{_javadir}
ln -sf xercesImpl.jar $RPM_BUILD_ROOT%{_javadir}/jaxp_parser_impl.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE* NOTICE* README Readme.html
%{_javadir}/*.jar

%files doc
%defattr(644,root,root,755)
%doc build/docs/javadocs/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xerces-j.spec,v $
Revision 1.30  2007/01/07 22:52:51  qboosh
- updated to 2.9.0
- don't package xercesSamples.jar

Revision 1.29  2006/09/12 14:17:20  glen
- unify %ant macro

Revision 1.28  2006/05/23 20:34:37  glen
- rpmbuild(macros) >= 1.300 instead of macros.java rpm-javaprov

Revision 1.27  2006/05/23 18:33:32  radek
- license v2.0, more %doc

Revision 1.26  2006/05/23 18:28:49  radek
- version 2.8.0 (builds)

Revision 1.25  2006/05/23 18:18:58  radek
- unified, use macros (still doesn't build), cosmetics
- License: Apache 1.1, removed LICENSE

Revision 1.24  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.23  2004/12/14 16:59:56  baggins
- DON'T hardcode java paths!

Revision 1.22  2004/08/21 23:06:19  qboosh
- updated to 2.6.2, removed obsolete patches

Revision 1.21  2004/02/24 01:11:56  ankry
- pl fixes, cosmetics

Revision 1.20  2003/07/03 22:30:37  qboosh
- separated -doc (over 20 times larger than base package)

Revision 1.19  2003/07/02 11:28:53  pascalek
- updated to 2.4.0

Revision 1.18  2003/05/28 13:03:07  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 06:28:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2002/08/24 20:38:00  qboosh
- fixed doc, simplified

Revision 1.15  2002/08/18 17:19:29  blues
- release 4 - license fix, new doc

Revision 1.14  2002/03/12 17:23:11  aflinta
 - moved xerces.jar to /usr/share/java where other jar files are stored
 - release 3

Revision 1.13  2002/02/22 23:30:05  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/29 09:44:30  wrobell
- java class directory changed to %{_libdir}/java (take a look at perl or
  python)
- rel. 2

Revision 1.11  2002/01/28 14:59:08  wrobell
- ver. 1.4.4
- let's build it optimized with javac /standard compiler/
- adapterized

Revision 1.10  2002/01/18 02:15:39  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/09/25 09:36:27  pascalek
-updated to 1.4.3

Revision 1.8  2001/09/18 10:25:42  blues
- Lecense field must be present

Revision 1.7  2001/09/15 19:38:26  bonkey
- Group changed to Applications/Publishing/XML/Java

Revision 1.6  2001/09/15 10:12:07  bonkey
- change Requires: java to jre

Revision 1.5  2001/08/22 17:31:38  filon
- added Requires: java
- changed BuildRequires:/usr/bin/jar -> jar

Revision 1.4  2001/02/11 22:51:56  kloczek
- few cosmetics.

Revision 1.3  2001/02/10 11:04:44  klakier
- forgottens classpath settings

Revision 1.2  2000/08/29 10:01:10  wrobell
- buidarch: noarch

Revision 1.1  2000/08/29 08:05:07  wrobell
- xml parser implementation for java
